package fr.iutfbleau.dev45.wamster.tp05ex02_arcenciel;

import android.os.Bundle;
import android.widget.Button;
import android.widget.CheckBox;

import androidx.appcompat.app.AppCompatActivity;

public class Activite2 extends AppCompatActivity {
    private CheckBox[] listeChoix;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activite_choix);

        this.listeChoix = new CheckBox[ListeCouleur.TAILLE_LISTE];
        this.listeChoix[ListeCouleur.INDICE_ROUGE] = findViewById(R.id.coche_rouge);
        this.listeChoix[ListeCouleur.INDICE_ORANGE] = findViewById(R.id.coche_orange);
        this.listeChoix[ListeCouleur.INDICE_JAUNE] = findViewById(R.id.coche_jaune);
        this.listeChoix[ListeCouleur.INDICE_VERT] = findViewById(R.id.coche_vert);
        this.listeChoix[ListeCouleur.INDICE_BLEU] = findViewById(R.id.coche_bleu);
        this.listeChoix[ListeCouleur.INDICE_INDIGO] = findViewById(R.id.coche_indigo);
        this.listeChoix[ListeCouleur.INDICE_VIOLET] = findViewById(R.id.coche_violet);

        EvenementBoutonValider evenementBoutonValider = new EvenementBoutonValider(this);
        Button boutonValider = findViewById(R.id.bouton_valider);
        boutonValider.setOnClickListener(evenementBoutonValider);
    }

    public CheckBox[] getListeCoche(){
        return this.listeChoix;
    }
}
